PhpMyAdmin error: Cannot connect: invalid settings

Created:

2016-11-16 13:09:33 UTC

Modified:

2017-05-11 09:48:34 UTC

0

Was this article helpful?


Have more questions?

Submit a request

PhpMyAdmin error: Cannot connect: invalid settings

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 12.0 for Windows
  • Plesk 12.0 for Linux

Symptoms

When try to open PhpMyAdmin for domain database, message "Access denied!" is shown:

Cannot connect: invalid settings

phpmyadmin

Cause

Database user password saved in Plesk and set in MySQL server mismatch.

Resolution

It is needed to sync passwords. Reset the password for domain database user:

For Plesk 12 :

Website & Domains > Databases > Select necessary database > Click on the database user > Change password

For Plesk 12.5 :

Website & Domains > Databases > User Management > Select necessary user > Change password

Or run the following command from console:

#/usr/local/psa/bin/database --update-dbuser <user_name> -passwd <new_password> -server localhost:3306
Have more questions? Submit a request
Please sign in to leave a comment.